#include <bits/stdc++.h>
 
using namespace std;
 
typedef long long ll;
typedef long double ld;
 
typedef vector<int> vi;
typedef vector<ll> vll;
 
typedef vector<vi> vvi;
typedef vector<vll> vvll;
 
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
 
typedef vector<pii> vpii;
typedef vector<pll> vpll;
 
typedef vector<vpii> vvpii;
typedef vector<vpll> vvpll;
 
#define pb push_back
#define mp make_pair
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define sz(x) (int)(x).size()
#define fi first
#define se second
 
template<class T> bool ckmin(T &a, const T &b) {return a > b ? a = b, 1 : 0;}
template<class T> bool ckmax(T &a, const T &b) {return a < b ? a = b, 1 : 0;}
 
namespace debug {
    void __print(int x) {cerr << x;}
    void __print(long long x) {cerr << x;}
    void __print(double x) {cerr << x;}
    void __print(long double x) {cerr << x;}
    void __print(char x) {cerr << '\'' << x << '\'';}
    void __print(const string &x) {cerr << '\"' << x << '\"';}
    void __print(const char *x) {cerr << '\"' << x << '\"';}
    void __print(bool x) {cerr << (x ? "true" : "false");}
 
    template<typename T, typename V>
    void __print(const pair<T, V> &x) {cerr << '{'; __print(x.first); cerr << ','; __print(x.second); cerr << '}';}
    template<typename T>
    void __print(const T &x) {int f = 0; cerr << '{'; for(auto z : x) cerr << (f++ ? "," : ""), __print(z); cerr << "}";}
    void _print() {cerr << "]\n";}
    template <typename T, typename... V>
    void _print(T t, V... v) {__print(t); if(sizeof...(v)) cerr << ", "; _print(v...);}
 
#ifdef ljuba
#define dbg(x...) cerr << "\e[91m" << "LINE(" << __LINE__ << ") -> " << "[" << #x << "] = ["; _print(x)
#else
#define dbg(x...)
#endif
}
 
using namespace debug;
 
const char nl = '\n';
 
mt19937 rng(chrono::high_resolution_clock::now().time_since_epoch().count());
 
/*
???????? ?????? ???????, ??? ???? ??? ????????????? (????? ???? ???????? ?????) 
?????? ?? ????????? ???? ????? ????????? ?? ??????, ????????? ??????? ? ???????
*/

void solve() {
    int n;
    cin >> n;
    vpii v(n);
    for(auto &z : v) cin >> z.fi >> z.se;

    sort(all(v));
    //dbg(v);

    vector<vpii> odradi;

    {
        map<pii, vpii> grupe;

        for(int i = 0; i < n; ++i) {
            for(int j = i+1; j < n; ++j) {
                if(v[j].fi == v[i].fi) continue;
                int y = v[j].se - v[i].se;
                int x = v[j].fi - v[i].fi;
                int g = __gcd(abs(x), abs(y));
                y /= g, x /= g;
                if(y < 0) {
                    x *= -1;
                    y *= -1;
                } else if(y == 0 && x < 0) {
                    x *= -1;
                    y *= -1;
                }

                pii p{i, j};
                pii bruh{y, x};
                grupe[bruh].pb(p);
            }
        }

        for(auto z : grupe) {
            auto nz = z.se;
            odradi.pb(nz);
        }

        //da grupe bude na stacku
    }

    {
        vpii temp;
        for(int i = 0; i < n; ++i) {
            for(int j = i+1; j < n; ++j) {
                if(v[j].fi != v[i].fi) continue;
                pii p{i, j};
                temp.pb(p);
            }
        }

        if(!temp.empty()) {
            odradi.pb(temp);
        }
    }

    //for(auto z : odradi) {
        //dbg(z);
    //}

    ll ans = 0;

    for(auto idemo : odradi) {
        map<pii, ll> ima;
        for(auto z : idemo) {
            int i = z.fi;
            int j = z.se;
            int x = abs(v[j].fi - v[i].fi);
            int y = abs(v[j].se - v[i].se);

            pii p{y, x};
            ima[p]++;
        }

        //dbg(ima);

        for(auto z : idemo) {
            int i = z.fi;
            int j = z.se;
            int x = abs(v[j].fi - v[i].fi);
            int y = abs(v[j].se - v[i].se);

            pii treba{2*y, 2*x};
            ans += ima[treba];
        }
    }

    cout << ans << nl;
}
 
int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
 
    int testCases = 1;
    //cin >> testCases;
    while(testCases--)
        solve();
}